#include "ecdb.h"

Ecdb_Project *
ecdb_project_new(void)
{
	Ecdb_Project *proj;

	proj = calloc(1, sizeof(Ecdb_Project));
	if (!proj)
		return NULL;
	if (!ecdb_project_init(proj))
	{
		FREE(proj);
		return NULL;
	}
	
	return proj;
}

int
ecdb_project_init(Ecdb_Project *proj)
{
	return TRUE;
}

void
ecdb_project_destroy(Ecdb_Project *proj)
{
	free(proj);
}

void
ecdb_project_type_set(Ecdb_Project *proj, unsigned int t)
{
	proj->type = t;
}

int
ecdb_shutdown(void *data, int type, void *event)
{
	if (em->drives)
		ecore_list_destroy(em->drives);
	free(em);
	
	if (!ecore_file_recursive_rm("/tmp/ecdb"))
		printf("Removal of temporary directory failed!\n");
	ewl_main_quit();
	return FALSE;
}

int
ecdb_burn_init(void)
{
	if (!burn_initialize())
		return 0;

	burn_msgs_set_severities("NEVER", "SORRY", "ecdb: ");
	burn_set_signal_handling("ecdb: ", NULL, 0);

	return 1;
}

int
ecdb_image_init(void)
{
	if (!iso_init())
		return 0;
	iso_set_msgs_severities("NEVER", "SORRY", "ecdb: ");

	return 1;
}

int
ecdb_match_keyword(const char *chk, const char *key, int len)
{
	int i;

	for (i = 0; i < len; i++)
	{
		if (chk[i] != key[i])
			return TRUE;
	}

	return FALSE;
}

char *
ecdb_strip_string(const char *strip)
{
	char *t1 = (char *)strip;

	do
	{
		if (*t1 == ' ')
		{
			t1++;
			return strdup(t1);
		}
	} while ((t1) && (t1++));

	return NULL;
}

char *
ecdb_strip_next_argument(const char *strip)
{
	char *t1 = (char *)strip, *t2;
	char *ret = NULL;
	int len = 0, space = FALSE;

	do
	{
		if (*t1 == ' ')
			space = TRUE;

		if ((*t1 != ' ') && (space == TRUE))
		{
			t2 = t1;

			/* Find length of string to copy */
			while ((*t2) && (*t2 != ' '))
			{
				len++;
				t2++;
			}

			/* Given no more args */
			if (!len)
				return NULL;
			else
				len++;

			/* Make a new string and copy everything over */
			ret = malloc(sizeof(char) * len);
			memcpy(ret, t1, len);
			return ret;
		}
	} while (*(t1++));

	return NULL;
}

void
ecdb_button_icon_swallow(Evas *e, Evas_Object *b, const char *iname)
{
	Evas_Object *icon;
	Evas_Coord x, y, w, h;

	icon = edje_object_add(e);
	edje_object_file_set(icon, em->theme_path, iname);
	edje_object_part_geometry_get(b, "icon", &x, &y, &w, &h);
	evas_object_move(icon, x, y);
	evas_object_resize(icon, w, h);
	edje_object_part_swallow(b, "icon", icon);
	evas_object_show(icon);
}


